how to upgrade oracle client
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 9 of 9

Thread: how to upgrade oracle client

  1. #1
    Join Date
    Feb 2003
    Posts
    12

    how to upgrade oracle client

    Hi All,
    How to upgrade oracle client from 9.2.0.1.0 to 9.2.0.6 ?

    Many Thanks,

  2. #2
    Join Date
    Sep 2002
    Location
    England
    Posts
    7,333
    download the .6 patchset from metalink and install it

  3. #3
    Join Date
    Feb 2003
    Posts
    12
    Dave,
    Downloaded p3948480_9206_TRU64.zip . This 9.2.0.6 patchset is for the server. Can i use the same for upgrade the client? or i have to download a different one. Pls correct me if i am wrong. This is the first time i am installing patchset.

    Appreciate your help

    Many Thanks,

  4. #4
    Join Date
    Sep 2002
    Location
    England
    Posts
    7,333
    same one

  5. #5
    Join Date
    Feb 2003
    Posts
    12
    My database server is running on 9.2.0.6 . If i copy teh catpatch.sql from /rdbms/admin to the machine where 9.2.0.1 client is installed and try to run. By just doing this will upgrade the client to 9.2.0.6 or i have to follow the steps ( runinstaller . etc). Pls advice

    Many Thanks,

  6. #6
    Join Date
    Feb 2007
    Posts
    212
    You have to follow the steps documentation provided with the patch like
    first time install

  7. #7
    Join Date
    Sep 2002
    Location
    England
    Posts
    7,333
    its just the software, no scripts

  8. #8
    Join Date
    Nov 2006
    Location
    Sofia
    Posts
    630
    Man, read carefully and understand what you are doing, to avoid mess.
    catpach is necessary to apply the changes to the data dictionary, necessary for some fixes in the patchset
    To be more detailed, when you apply a patchset on the database, the installer replaces some executables with new ones, where bugs are fixed. Also replaces scripts, whatever it needs.
    Some of the fixes however, requires changes in the data dictionary as well ( for example there is a field in the DD, which is varchar2(30) but ti fix some issue, the field is changed to varchar2(45) or additional field is added, or additional tables or a view definition is changed... whatever)
    So the newly installed binaries will not work with the old DD, and here catpatch comes.
    Now, on the client, you do not have a database, just a binaries to be replaced, so generally you run the installer, it recognizes that you have only client installed and replaces what it needs. Catpatch has nothing to deal wit that
    BE CAREFUL!!!
    if the server machine and the clients are different platforms ( say unix/linux server and Windows clients) you cannot apply the server patchset to the clients. You will need to download a patchset for the client OS.
    Also full suport to Jeny, read and follow STEP BY STEP the patch applying instruction

    Regards

  9. #9
    Join Date
    Feb 2007
    Posts
    212
    oh boy im impressed you typed lots/long explanations with patience

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  


Click Here to Expand Forum to Full Width